summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorMichael Lass2016-03-21 23:54:07 +0100
committerMichael Lass2016-03-21 23:54:07 +0100
commit65d7a20cfa90e4c64b35934e5551355bf60ff122 (patch)
treea89f4c18a37c6557c45ef2973a0fa4bc2c1d0b8e /PKGBUILD
parent26dae7401a4b95ad1f09de058d5f46d22295e218 (diff)
downloadaur-65d7a20cfa90e4c64b35934e5551355bf60ff122.tar.gz
Update to 1.6.17 and add patches for Linux 4.4
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD19
1 files changed, 15 insertions, 4 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 7027a45e0dc..db0e4b83a2b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,7 @@
pkgname=openafs-modules
_srcname=openafs
-pkgver=1.6.16
+pkgver=1.6.17
pkgrel=1
pkgdesc="Kernel module for OpenAFS"
arch=('i686' 'x86_64' 'armv7h')
@@ -15,9 +15,15 @@ depends=('openafs')
makedepends=('linux-headers')
conflicts=('openafs-features-libafs' 'openafs<1.6.6-2')
options=(!emptydirs)
-source=(http://openafs.org/dl/${pkgver}/${_srcname}-${pkgver}-src.tar.bz2)
+source=(http://openafs.org/dl/${pkgver}/${_srcname}-${pkgver}-src.tar.bz2
+ 0001-Linux-4.4-key_payload-has-no-member-value.patch
+ 0002-Linux-4.4-Use-locks_lock_file_wait.patch
+ 0003-Linux-4.4-Do-not-use-splice.patch)
install=openafs-modules.install
-sha256sums=('3431702bdcbd1b27833060c50869e618a192495877ebb0a66e4610de0b48eb81')
+sha256sums=('96413a2dbffdc9170cc5dde6aa5ad0ae2383c6106994285ed8f186928813a398'
+ 'f498b60b99f75a2cfbe01cc91c5de0585c225231b4850816c8b080edd7402a98'
+ 'ff962b1bcfeedaed0f74570e8d248b4e42a3391654bf49b4bb25e19d80b6c4ac'
+ '2c2c14f2f1f88eb43a7160f3112cd63e4ea74884322b76b71308b88b32caafdb')
# Heuristic to determine version of installed kernel
# You can modify this if the heuristic fails
@@ -27,8 +33,13 @@ _kernelver=$(cat ${_extramodules}/version)
prepare() {
cd ${srcdir}/${_srcname}-${pkgver}
+ # Patches required to build against Linux 4.4
+ patch -p1 < ${srcdir}/0001-Linux-4.4-key_payload-has-no-member-value.patch
+ patch -p1 < ${srcdir}/0002-Linux-4.4-Use-locks_lock_file_wait.patch
+ patch -p1 < ${srcdir}/0003-Linux-4.4-Do-not-use-splice.patch
+
# Only needed when changes to configure were made
- #./regen.sh -q
+ ./regen.sh -q
}
build() {